import React from "react";

const AgentPayment = () => {
  return (
    <div className="flex items-center justify-center min-h-screen bg-blue-100">
      <div className="absolute top-[66px] left-[139px]">
        <h1 className="font-montserrat font-bold text-[48.31px] leading-[100%]">
          OMPOI - Seller
        </h1>
      </div>
      <div className="absolute top-[194px] left-[134px] bg-white p-8 rounded-[32.6px] shadow-lg w-[1460.608px] h-[729px] flex">
        
        {/* Left Side - Illustration */}
        <div className="w-1/2 flex items-center justify-center p-5">
          <img src="/page6.svg" alt="Verified" className="w-full h-auto" />
        </div>

        {/* Right Side - Status Section */}
        <div className="w-1/2 p-10 flex flex-col justify-center">
          <h2 className="absolute top-[89px] left-[794px] font-montserrat font-semibold text-[33.91px] leading-[100%]">
            Status
          </h2>

          <div className="absolute top-[149px] left-[788px] bg-[#E9FAFF] p-5 rounded-[12px] border border-blue-300 w-[610px] h-[439px]" style={{ boxShadow: "6px 6px 0px 0px #000000" }}>
            <div className="absolute top-[20px] left-[28px] w-[424px] h-[250px]">
              <p className="text-gray-800 font-semibold">Company Name</p>
              <p className="text-black font-bold mb-2">ABCD PVT LTD</p>

              <div className="flex">
                <div>
                  <p className="text-gray-800 font-semibold">Company Address</p>
                  <p className="text-black mb-2">
                    Shop No: 45 ABC Street <br /> Mylapore <br /> Chennai - 600004
                  </p>
                </div>
                <div className="ml-10">
                  <p className="text-gray-800 font-semibold">Payment Details</p>
                  <p className="text-gray-700">Payment ID</p>
                  <p className="text-black font-bold mb-2">ATUWBYTYI245678HBG</p>
                </div>
              </div>

              <p className="absolute top-[238px] left-[154px] w-[298px] h-[32px] font-montserrat font-medium text-[22px] leading-[31.3px] tracking-[0.13px]">
                Merchant ID: <span className="font-montserrat font-semibold text-[22px] leading-[31.3px] tracking-[0.13px]">TAMIL12345</span>
              </p>

              <p className="absolute top-[278px] left-[109px] w-[392px] h-[24px] font-montserrat font-medium text-[20px] leading-[100%] tracking-[0.13px] text-center">
                Login to your account to get started
              </p>
            </div>

            {/* Login Button */}
            <button
              className="absolute top-[340px] left-[184px] bg-[#0096FF] text-white font-bold rounded-full text-sm border-3 border-blue-600 cursor-pointer w-[241px] h-[45px] flex items-center justify-center font-montserrat text-[20.91px] leading-[100%] px-[37px] py-[10px] gap-[10px] shadow-md"
              style={{ borderRadius: "50px", paddingTop: "10px", paddingRight: "40px", paddingBottom: "10px", paddingLeft: "37px", gap: "10px" }}
            >
              Login Now
            </button>

            {/* Verified Badge */}
            <span className="absolute top-[23px] left-[410px] text-black rounded-full text-sm font-semibold border-2 border-[#0096FF] cursor-pointer w-[156px] h-[45px] flex items-center justify-center font-montserrat text-[20.91px] leading-[100%] px-[37px] py-[10px] gap-[10px]">
              Verified
            </span>
          </div>
        </div>
      </div>
    </div>
  );
};

export default AgentPayment;
