import { BrowserRouter as Router, Routes, Route } from "react-router-dom";
import LoginPage from "./LoginPage";
import StatusPage from "./StatusPage";
import AgentStatus from "./AgentStatus";
import AgentAssigned from "./AgentAssigned";
import AgentVerified from "./AgentVerified";
import AgentPayment from "./AgentPayment";

function App() {
  return (
    <Router>
      <Routes>
        <Route path="/" element={<LoginPage />} />
        <Route path="/status" element={<StatusPage />} />
        <Route path="/agent-status" element={<AgentStatus />} />
        <Route path="/agent-assigned" element={<AgentAssigned />} />
        <Route path="/agent-verified" element={<AgentVerified />} />
        <Route path="/agent-payment" element={<AgentPayment />} />
      </Routes>
    </Router>
  );
}

export default App;
